WordPress 3.6, fatal errors when installing or updating plugins & themes

Discussion in 'Linux VPS/Dedicated - General' started by eno, Aug 4, 2013.

  1. eno

    eno New Member

    Hi all, I'm having a problem with the latest WP version.

    Fresh installations of WordPress 3.6 throw fatal errors when trying to install/update any plugins & themes. WP 3.5.2 works perfectly fine, but if I update it to 3.6 the same errors occur.

    Specifically, I'm getting the following error:

    Fatal error: Call to undefined method Plugin_Upgrader::init() in /<path>/wp-admin/includes/class-wp-upgrader.php on line 394 / 421 / etc

    or

    Fatal error
    : Call to undefined method Theme_Upgrader::init() in /<path>/wp-admin/includes/class-wp-upgrader.php on line 744

    My VPS-3 runs Apache 2.4.6 with PHP 5.4.17 on suPHP mode (suEXEC is on).

    I temporarily increased the php memory execution limit to 1024M to no avail.

    Any ideas?
     
  2. Dave G

    Dave G Member

  3. eno

    eno New Member

    Thanks Dave,

    Turns out the problem was not Apache's version or available ram. I had EAccelerator enabled in EasyApache and it somehow conflicted with suPHP. I disabled it, rebuilt apache 2.4 and now everything works fine :)
     
    Last edited: Aug 5, 2013
  4. KH-Jonathan

    KH-Jonathan Director of Managed Services Staff Member

    eAccelerator and suPHP don't play nice together because of file permissions.

    Glad to hear you got everything resolved :)
     

Share This Page